Summary:	K-3D open-source 3D modeling, animation, and rendering system
Name:		k3d
Version:	0.8.0.2
Release:	2
License:	GPLv2+
Group:		Graphics
URL:		http://www.k-3d.org
Source0:	http://downloads.sourceforge.net/k3d/%{name}-source-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch1:		k3d-0.8.0.1-libdl.patch
Patch2:		k3d-0.8.0.2-gtkmm224.patch
Patch3:		k3d-0.8.0.2-gcc-4.6.diff
Patch4:		k3d-0.8.0.2-lib64.patch
Patch5:		k3d-source-0.8.0.2_libpng15.patch

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(gts)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(uuid)
%ifarch x86_64
BuildRequires:	chrpath
%endif
Requires:	yafray
Requires:	povray
Requires:	aqsis
Conflicts:	k3d-devel < %{version}
Obsoletes:	%{_lib}k3d0 <= %{version}-%{release}

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering 
system for GNU / Linux, Posix, and Win32 operating systems. K-3D features a 
robust, object-oriented plugin architecture, designed to scale to the needs of 
professional artists, and is designed from-the-ground-up to generate 
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary:	K-3D development headers
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Conflicts:	k3d < 0.8.0.2
Obsoletes:	%{_lib}k3d-devel <= %{version}-%{release}
Obsoletes:	%{_lib}k3d-static-devel <= %{version}-%{release}

%description devel
Development libraries needed to develop new k3d plugins.

%prep 
%setup -qn %{name}-source-%{version}
%apply_patches

%build
%cmake \
    -DK3D_BUILD_GTS_MODULE:BOOL=ON
export LD_LIBRARY_PATH=%{_builddir}/k3d-source-%{version}/build/lib:%{_builddir}/k3d-source-%{version}/build/%{_lib}:$LD_LIBRARY_PATH
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/%{name}*
%{_libdir}/libk3d*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/documents
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/geometry
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/logo
%{_datadir}/%{name}/lsystem
%{_datadir}/%{name}/ngui
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/shaders
%{_datadir}/%{name}/textures
%{_datadir}/%{name}/*.k3d
%exclude %{_datadir}/k3d/shaders/*.h
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*

%files devel
%{_libdir}/libk3d*.so
%{_libdir}/%{name}/include
%{_includedir}/%{name}
%{_datadir}/k3d/shaders/*.h


%changelog
* Tue Jun 12 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.8.0.2-2
+ Revision: 805283
- rebuild for boost libs
- added patch to fix libpng15 build
- cleaned up spec

* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 0.8.0.2-1
+ Revision: 672758
- use lib64
- update file list
- fix typo
- add patch from lp's tracker#749283 to fix build with latest gtkmm
- add fedora patch to builg with gcc 4.6
- use -fpermissive
- update to new version 0.8.0.2

* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 0.8.0.1-2
+ Revision: 644887
- rebuild for new boost

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 0.8.0.1-1mdv2011.0
+ Revision: 572564
- update file list
- rediff libdl patch
- new version 0.8.0.1

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.7.11.0-8mdv2011.0
+ Revision: 572273
- rebuild for new boost

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.7.11.0-7mdv2011.0
+ Revision: 566276
- rebuild for new boost

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.7.11.0-6mdv2011.0
+ Revision: 553466
- rebuild for new imagmagick

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.11.0-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.7.11.0-4mdv2010.1
+ Revision: 500058
- rebuild for new boost

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 0.7.11.0-3mdv2010.1
+ Revision: 491131
- rebuild for new imagemagick

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 0.7.11.0-2mdv2010.0
+ Revision: 419470
- add gcc 4.4 patch
- BR uuid
- rebuild for libboost

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 0.7.11.0-1mdv2010.0
+ Revision: 370919
- New verison 0.7.11.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.10.0

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.7.9.0-4mdv2009.1
+ Revision: 320159
- rebuild for new python

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.7.9.0-3mdv2009.1
+ Revision: 316899
- rediff dl patch
- rebuild for new boost

* Fri Aug 22 2008 Funda Wang <fwang@mandriva.org> 0.7.9.0-1mdv2009.0
+ Revision: 275135
- New version 0.7.9.0
- use system cmake module to find boost
- move *.so into main package
- find correct magic++ dir
- fix underlink
- patch0 merged upstream

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.8.0

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.5.0-1mdv2009.0
+ Revision: 233253
- obsolete the library packages (which apparently no longer exist)
- use _disable_ld_no_undefined due to plugins built without libtool
- add libdl.patch to fix underlinking issue
- new release 0.7.5.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.4.0-1mdv2009.0
+ Revision: 210721
- Fix plugin loader for x86_64 libsuffix
- Adding source, since someone just updated spec file
- Fix build with x86_64 machine if LIB_SUFFIX is used
- Fix gnome vfs include detection on x86_64

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.4.0
    - Patch0 merge helio's patch with my own
    - add desktop file
    - kill the libification, since latest k3d doesn't provide any shared libraries
    - spec file clean
    - fix file list
    - use cmake (thanks goes to helio for help)
    - drop all patches
    - add missing buildrequires
    - new version

  + Funda Wang <fwang@mandriva.org>
    - fix BR
    - Rebuild

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 0.6.7.0-7mdv2008.1
+ Revision: 161632
- obsoletes old static devel name

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 0.6.7.0-6mdv2008.1
+ Revision: 155054
- fix requires on libname

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-5mdv2008.1
+ Revision: 146835
- correct buildrequires on libmagick-devel
- enable graphviz support
- disable superlu support, as it is broken at the moment
- fix file list
- prepare to split library plugins into own packages
- provide patch 3, which fixes compiling against libsigc++-2.1.1
- disable gnome support for good
- compile with nls support
- add more explicit provides for devel package
- rediff patch 0
- new devel library policy

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new boost
    - fix patch applying

* Mon Jun 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-3mdv2008.0
+ Revision: 38075
- rebuild for expat

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.6.7.0-2mdv2008.0
+ Revision: 24952
- Rebuild with new libjasper.

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-1mdv2008.0
+ Revision: 20144
- update to 0.6.7.0
- disable compiling against gts
- regenerate P0

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-5mdv2008.0
+ Revision: 18001
- recompile with SuperLU support, which should have impact performance


* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 0.6.6.0-4mdv2007.0
+ Revision: 132442
- revert to the latest stable version (0.6.6.0)
- rediff patch0

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Rebuilt against OpenEXR4.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Tue Jan 30 2007 Anssi Hannula <anssi@mandriva.org> 0.6.6.0-3mdv2007.1
+ Revision: 115602
- patch2: move gui libs to pkglibdir (.so is dlopened)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add requires

* Tue Jan 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-2mdv2007.1
+ Revision: 115515
- move all *.so files to the main library(workaround to get K-3D working)
- add buildrequires
- add configure options
- merge doc package into k3d main

* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-1mdv2007.1
+ Revision: 114998
- provide patch 1 - fix build on x86_64
- set %%multiarch for k3d-config
- get rid of rpath
- fix buildrequires and provides
- spec file clean
- add static-devel package
- add doc package which includes documentation and tutorials
- add patch 0 for xdg menu entry
- fix groups
- spec file clean
- Import k3d

